# std::binder2nd< _Operation > Class Template Reference
[Binder Classes]

Inheritance diagram for std::binder2nd< _Operation >:

List of all members.

## Detailed Description

### template<class _Operation>
class std::binder2nd< _Operation >

Definition at line 426 of file stl_function.h.

## Public Types

- typedef _Operation::first_argument_type argument_type
- typedef _Operation::result_type result_type

## Public Member Functions

- binder2nd (const _Operation &__x, const typename _Operation::second_argument_type &__y)
- _Operation::result_type operator() (typename _Operation::first_argument_type &__x) const
- _Operation::result_type operator() (const typename _Operation::first_argument_type &__x) const

## Protected Attributes

- _Operation op
- _Operation::second_argument_type value

## Member Typedef Documentation

typedef _Operation::first_argument_type std::unary_function< _Operation::first_argument_type , _Operation::result_type >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef _Operation::result_type std::unary_function< _Operation::first_argument_type , _Operation::result_type >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h